using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Scrap : MonoBehaviour
{
    [Range(1f, 60f)] [SerializeField] private float m_updatesPerSecond;
    private float m_secondToWait = 0;

    private void Awake()
    {
        m_secondToWait = 1 / m_updatesPerSecond;
        StartCoroutine(UpdateScrap());
    }

    IEnumerator UpdateScrap()
    {
        while (true)
        {
            yield return new WaitForSeconds(m_secondToWait);

            //Code Here
        }
    }

    
}
